Bug 211054 - Text-mode install crashes on entering netmask as 24
Summary: Text-mode install crashes on entering netmask as 24
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-16 23:21 UTC by Mark James
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 14:42:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark James 2006-10-16 23:21:07 UTC
Description of problem:

Installer exits on entering IP address 

Version-Release number of selected component (if applicable):


How reproducible:



Steps to Reproduce:
1. Launch installer with "linux text" 
2. Proceed to network configuration screen for first interface
3. Deselect DHCP
4. Select IPv4
5. Enter 192.168.1.5 in IP address field
6. Enter 24 in netmask field (I was not sure if this was supposed to be 24 as in 192.168.1.5/24, or 
255.255.255.0
7. hit OK
  
Actual results:

Installer exists with debug message (sorry, I was unable to capture this).

Expected results:

Should either accept this form of mask, or complain about format and allow correction.

Additional info:

This was with fc6-pre-i386 dvd

Comment 1 David Cantrell 2006-10-17 14:42:55 UTC
This is fixed in rawhide.  You can enter either a dotted-quad IPv4 netmask
(e.g., 255.255.255.0) or the CIDR prefix (e.g., 24).  Both are acceptable.


Note You need to log in before you can comment on or make changes to this bug.